TRACKINSTALL(1)

NAME
trackinstall - manual page for trackinstall version-1.7

DESCRIPTION

    trackinstall - Build an installable package from compiled sources or other content in the current directory.

    trackinstall [-ABCHINPSV(VV)W] [-abdinv]

    Capitalized Options take no argument:

-A  Auto-generate a TrackBild script if successful.

-B  Keep backup of any files overwritten by this installation.

-I  Install the created package when finished.

-C  Place final package in the current directory.

-H  Place final package in your home directory.

-N  New TrackBuild script and slack-desc file only.

-P  Preserve permissions in the source directory.

-Q  Query the user for interactive options during package creation.

-S  Run special install commands - 'sh install.sh' by default

-V  DEBUG -show detailed prompts for debugging.

-VV Be verbose. Show all output from the steps.

-W  Wipe up -cleanup temporary files when finished.

    Lowercase options require an argument separated by the '=' sign:

-a  Set the architecture (ARCH) of the package [-a=noarch].

-b  Set the package build/release number [-b=4].

-d  Specify the documents to include [-d='README foo.HOWTO AUTHORS'].

-i  Set the install command line [-i='make install'].

-n  Use alternate name for package and desc file [-n=newname]

-v  Use alternate version number for the package [-v=0.0.0a].

EXAMPLES

    trackinstall -C -W

    Build the package in the current directory and delete temporary files.

    trackinstall -b=2

    Set the BUILD number to '2'

    trackinstall -i='make install install_data'

    install with 'make install install_data (same as running 'make install' and 'make install_data')

    trackinstall -P -S -i='bash ./install.script'

    Preserve permissions and use 'bash ./install.script' instead of 'make install'

USAGE
Calling trackinstall without arguments acts very much like checkinstall, running the command 'make install', tracking whatever directories, files & links are created and then making a Slackware-type tgz package from those files, etc. Using trackinstall with the '-S' option allows you to track other types of installation which use no Makefile.

SEE ALSO
The full documentation for trackinstall is maintained as part of the src2pkg package.

See /usr/doc/src2pkg\-x.x for further usage.